// Eingaberoutinen fr C++ mit Syntax- und Bereichskontrolle (Headerdatei)
// (c) 1996 by Andreas Meile, HTL Brugg-Windisch

// Basierend auf <stdio.h>

// Optionen auswerten
int werte_optionen_aus(const char *eingabe, const char *optionen); 

// Einlesen einer ganzen Zahl
int lies_ganze_zahl(const char *eing_aufford, const char *alt_opts,
int *wert); 

// Einlesen einer positiven Zahl (kompatibel zur Ganzzahl-Einleseroutine)
int lies_positive_zahl(const char *eing_auff, const char *alt_op,
int *wert);

// Einlesen einer ganzen Zahl in einem Intervall
int lies_interv_ganze_zahl (const char *eing_auff, const char *alt_op,
int w_min, int w_max, int *wert);

// Einlesen einer Gleitkommazahl
int lies_fliesskommazahl (const char *eing_aufford, const char *alt_opts,
float *wert); 

// Einlesen einer Gleitkommazahl in einem Intervall
int lies_interv_fliesskommazahl (const char *eing_auff, const char *alt_op,
float w_min, float w_max, float *wert);
